<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="utf-8" />
    <title>新規 - オンライン選句</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css"
        integrity="sha384-rwoIResjU2yc3z8GV/NPeZWAv56rSmLldC3R/AZzGRnGxQQKnKkoFVhFQhNUwEyJ" crossorigin="anonymous" />
    <script src="https://code.jquery.com/jquery-3.1.1.slim.min.js"
        integrity="sha384-A7FZj7v+d/sdmMqp/nOQwliLvUsJfDHW+k9Omg/a/EheAdgtzNs3hpfag6Ed950n"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"
        integrity="sha384-DztdAPBWPRXSA/3eYEEUWrWCy7G5KFbe8fFjk5JAIxUYHKkDx6Qin1DkWx51bBrb"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js"
        integrity="sha384-vBWWzlZJ8ea9aCX4pEW3rVHjgjt7zpkNpZk+02D9phzyeVkE+jo0ieGizqPLForn"
        crossorigin="anonymous"></script>
    <meta content="width=device-width,initial-scale=1.0" name="viewport" />
</head>

<body style="padding: 10px; max-width: 500px;">
    <h1>%name%</h1>
    <h2>コメント</h2>
    (選句方法などを記入してください)<br />
    <textarea id="comment"></textarea>
    <label>
        <input type="checkbox" id="zero">
        ここにチェックを入れると無点句を開示しません。
    </label>
    <button class="btn btn-primary" id="send">送信</button>
    <script>
        $('#send').click(function () {
            if(!localStorage.getItem('token')) throw alert('ログイン情報がありません')
            const httpreqd = new XMLHttpRequest()
            const start = `/v1/online/create`
            httpreqd.open('POST', start, true)
            httpreqd.setRequestHeader('Content-Type', 'application/json')
            httpreqd.responseType = 'json'
            const com = $('#comment').val()
            if(!com) throw alert('入力してください')
            httpreqd.send(JSON.stringify({
                group: '%gr%',
                id: '%id%',
                comment: com,
                zero: $('#zero').prop('checked'),
                token: localStorage.getItem('token')
            }))
            httpreqd.onreadystatechange = function () {
                if (httpreqd.readyState == 4) {
                    const raw = httpreqd.response
                    if (raw.success) {
                        location.href = './menu'
                    } else {
                        alert(raw.status)
                    }
                }
            }
        })
    </script>
</body>

</html>